/*cans show*/
.cans-item img{width: 40%;}
.cans{
    width: 100%;
    height: 350px;
    border-radius: 20px;
    transform: 0.5s;
    align-items: center;
    overflow: hidden;
  }
  .cans .circle{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 30px;
  }
  .cans .circle:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #f5ea0f;
    clip-path: circle(120px at center);
    transition: 0.5s;
  }
  .cans:hover .circle:before{
    clip-path: circle(400px at center);
    background: #2a2772;
  }
  .cans img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    transition: 0.5s;
  }
  .cans:hover img{
    left: 100%;
    transform: 0.5s;
  }
  .cans .content{
    position: relative;
    visibility: hidden;
    width: 100%;
    text-align: left;
    padding: 20px 80px 20px 0px;
    transition: 0.5s;
    opacity: 0;
  }
  .cans:hover .content{
    left: 0;
    opacity: 1;
    visibility: visible;
  }
  .cans .content h2, .content, .content p{
    color: #fff;
  }
  /*===typing*/
  .line__1,
.line__2 {
  white-space: nowrap; /* keep text in one line */
  overflow: hidden; /* hide text behind the cursor */
  font-family: "Major Mono Display", monospace;
  font-size: 2rem;
  font-weight: bold;
}
.line__1 {
  /* define animation types for text + cursor */
  animation: animated-text__1 6s steps(30, end) 1s 1 normal both,
    animated-cursor__1 900ms steps(30, end) 8;
}
.line__2 {
  /* define animation types for text + cursor */
  animation: animated-text__2 5s steps(30, end) 1s 1 normal both,
    animated-cursor__2 900ms steps(30, end) infinite;
  -webkit-animation-delay: 7s;
  animation-delay: 7s;
}
@keyframes animated-cursor__1 {
  from {
    border-right-color: rgba(17, 17, 17, 0.9);
  }
  to {
    border-right-color: rgba(255, 255, 255, 0.8);
  }
}
@keyframes animated-cursor__2 {
  from {
    border-right-color: rgba(17, 17, 17, 0.9);
  }
  to {
    border-right-color: rgba(255, 255, 255, 0.8);
  }
}
@keyframes animated-text__1 {
  from {
    width: 0;
  }
  to {
    width: 45rem;
  }
}
@keyframes animated-text__2 {
  from {
    width: 0;
  }
  to {
    width: 29rem;
  }
}